Index: svn/src/mainboard/asus/a8v-e_se/Kconfig
===================================================================
--- svn.orig/src/mainboard/asus/a8v-e_se/Kconfig
+++ svn/src/mainboard/asus/a8v-e_se/Kconfig
@@ -2,13 +2,13 @@ config BOARD_ASUS_A8V_E_SE
 	bool "A8V-E SE"
 	select ARCH_X86
 	select CPU_AMD_SOCKET_939
+	select K8_HT_FREQ_1G_SUPPORT
 	select NORTHBRIDGE_AMD_AMDK8
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SUPERIO_WINBOND_W83627EHG
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
-	select HAVE_HARD_RESET
 	select IOAPIC
 	select HAVE_ACPI_TABLES
 	select HAVE_MP_TABLE
@@ -41,7 +41,7 @@ config APIC_ID_OFFSET
 
 config SB_HT_CHAIN_ON_BUS0
 	int
-	default 2
+	default 1
 	depends on BOARD_ASUS_A8V_E_SE
 
 config SB_HT_CHAIN_UNITID_OFFSET_ONLY
@@ -66,7 +66,7 @@ config MAINBOARD_PART_NUMBER
 
 config HW_MEM_HOLE_SIZEK
 	hex
-	default 0x100000
+	default 0
 	depends on BOARD_ASUS_A8V_E_SE
 
 config MAX_CPUS
@@ -81,7 +81,7 @@ config MAX_PHYSICAL_CPUS
 
 config HT_CHAIN_END_UNITID_BASE
 	hex
-	default 0x0
+	default 0x20
 	depends on BOARD_ASUS_A8V_E_SE
 
 config HT_CHAIN_UNITID_BASE
@@ -94,9 +94,9 @@ config USE_INIT
 	default n
 	depends on BOARD_ASUS_A8V_E_SE
 
-config SB_HT_CHAIN_ON_BUS0
-	int
-	default 2
+config HAVE_OPTION_TABLE
+	bool
+	default n
 	depends on BOARD_ASUS_A8V_E_SE
 
 config IRQ_SLOT_COUNT
Index: svn/src/mainboard/asus/a8v-e_se/Makefile.inc
===================================================================
--- svn.orig/src/mainboard/asus/a8v-e_se/Makefile.inc
+++ svn/src/mainboard/asus/a8v-e_se/Makefile.inc
@@ -11,6 +11,7 @@ obj-$(CONFIG_GENERATE_ACPI_TABLES) += ac
 initobj-y += crt0.o
 # FIXME in $(top)/Makefile
 crt0-y += ../../../../src/cpu/x86/16bit/entry16.inc
+crt0-y += ../../../../src/southbridge/via/k8t890/romstrap.inc
 crt0-y += ../../../../src/cpu/x86/32bit/entry32.inc
 crt0-y += ../../../../src/cpu/x86/16bit/reset16.inc
 crt0-y += ../../../../src/arch/i386/lib/id.inc
@@ -19,6 +20,7 @@ crt0-y += auto.inc
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
+ldscript-y += ../../../../src/southbridge/via/k8t890/romstrap.lds
 ldscript-y += ../../../../src/cpu/x86/16bit/reset16.lds
 ldscript-y += ../../../../src/arch/i386/lib/id.lds
 ldscript-y += ../../../../src/arch/i386/lib/failover.lds
